I'm getting a HTTP Response 302 when trying to install/update.

I'm a newbie, so please keep that in mind when trying to help.

Satjot:~ satjotsawhney$ ruby -v
ruby 1.8.6 (2009-06-08 patchlevel 369) [universal-darwin9.0]
Satjot:~ satjotsawhney$ rails -v
Rails 1.2.6
Satjot:~ satjotsawhney$ gem -v
1.0.1
Satjot:~ satjotsawhney$ sudo gem install rails
ERROR: While executing gem ... (Gem::RemoteSourceException)
HTTP Response 302 fetching http://gems.rubyforge.org/yaml